Rygel.Transcoder.add_resource – librygel-server Reference Manual

# add_resource

## Description:

public virtual `DIDLLiteResource`? add_resource (`DIDLLiteItem` didl_item, MediaItem item, TranscodeManager manager) throws `Error`

Derived classes should implement this function to fill a GUPnPDIDLLiteResource, representing the transcoded content, with parameters specific to the transcoder, such as bitrate or resolution. The GUPnPDIDLLiteResource should be instantiated by calling this base class implementation, passing the provided didl_item, item and manager parameters.

## Parameters:

didl_item | The DIDLLite item for which to create the resource, by calling the base class implementation.
item | The media item for which to create the DIDLiteResource, by calling the base class implementation.
manager | The transcoder manager to pass to the base class implemenetation.

## Returns:

The new resource.